[PATCH:xcb/util] Update autogen.sh to one that does builddir != srcdir
Jon TURNEY
jon.turney at dronecode.org.uk
Tue Oct 20 10:17:46 PDT 2009
---
autogen.sh | 11 ++++++++++-
1 files changed, 10 insertions(+), 1 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index d68a142..904cd67 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,12 @@
#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
autoreconf -v --install || exit 1
-./configure "$@"
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
--
1.6.3.3
More information about the xorg-devel
mailing list